import { ComponentInfo } from './types';

export const v9ComponentsInfo: ComponentInfo[] = [
  {
    constructorName: 'Button',
    componentClassName: 'Button',
    displayName: 'Button',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Buttons give people a way to trigger an action.',
      tags: [
        {
          description: 'Buttons give people a way to trigger an action.',
          title: 'Buttons give people a way to trigger an action.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'a',
          },
          {
            name: 'literal',
            value: 'button',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'a',
            label: 'a',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
        ],
      },
      {
        defaultValue: 'secondary',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'secondary',
            label: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
            label: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
            label: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
            label: 'transparent',
          },
        ],
      },
      {
        defaultValue: 'before',
        description: 'iconPosition property',
        name: 'iconPosition',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'before',
          },
          {
            name: 'literal',
            value: 'after',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'before',
            label: 'before',
          },
          {
            name: 'literal',
            value: 'after',
            label: 'after',
          },
        ],
      },
      {
        defaultValue: 'rounded',
        description: 'shape property',
        name: 'shape',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'rounded',
            label: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
            label: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
            label: 'square',
          },
        ],
      },
      {
        defaultValue: 'medium',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'small',
            label: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
            label: 'large',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'CompoundButton',
    componentClassName: 'CompoundButton',
    displayName: 'CompoundButton',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description:
        'CompoundButtons are buttons that can have secondary content that adds extra information to the user.',
      tags: [
        {
          description:
            'CompoundButtons are buttons that can have secondary content that adds extra information to the user.',
          title: 'CompoundButtons are buttons that can have secondary content that adds extra information to the user.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'secondaryContent property',
        name: 'secondaryContent',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'contentContainer property',
        name: 'contentContainer',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'a',
          },
          {
            name: 'literal',
            value: 'button',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'a',
            label: 'a',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
        ],
      },
      {
        defaultValue: 'secondary',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'secondary',
            label: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
            label: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
            label: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
            label: 'transparent',
          },
        ],
      },
      {
        defaultValue: 'before',
        description: 'iconPosition property',
        name: 'iconPosition',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'before',
          },
          {
            name: 'literal',
            value: 'after',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'before',
            label: 'before',
          },
          {
            name: 'literal',
            value: 'after',
            label: 'after',
          },
        ],
      },
      {
        defaultValue: 'rounded',
        description: 'shape property',
        name: 'shape',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'rounded',
            label: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
            label: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
            label: 'square',
          },
        ],
      },
      {
        defaultValue: 'medium',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'small',
            label: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
            label: 'large',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuButton',
    componentClassName: 'MenuButton',
    displayName: 'MenuButton',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description:
        'MenuButtons are buttons that have a chevron icon after the button contents and are usually clicked to open/close\nmenus.',
      tags: [
        {
          description:
            'MenuButtons are buttons that have a chevron icon after the button contents and are usually clicked to open/close\nmenus.',
          title:
            'MenuButtons are buttons that have a chevron icon after the button contents and are usually clicked to open/close\nmenus.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'menuIcon property',
        name: 'menuIcon',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'a',
          },
          {
            name: 'literal',
            value: 'button',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'a',
            label: 'a',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
        ],
      },
      {
        defaultValue: 'secondary',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'secondary',
            label: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
            label: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
            label: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
            label: 'transparent',
          },
        ],
      },
      {
        defaultValue: 'rounded',
        description: 'shape property',
        name: 'shape',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'rounded',
            label: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
            label: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
            label: 'square',
          },
        ],
      },
      {
        defaultValue: 'medium',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'small',
            label: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
            label: 'large',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'SplitButton',
    componentClassName: 'SplitButton',
    displayName: 'SplitButton',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description:
        'SplitButtons are a grouping of two interactive surfaces where interacting with the first one triggers a primary\naction, while interacting with the second one opens a menu with secondary actions.',
      tags: [
        {
          description:
            'SplitButtons are a grouping of two interactive surfaces where interacting with the first one triggers a primary\naction, while interacting with the second one opens a menu with secondary actions.',
          title:
            'SplitButtons are a grouping of two interactive surfaces where interacting with the first one triggers a primary\naction, while interacting with the second one opens a menu with secondary actions.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'menuButton property',
        name: 'menuButton',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'primaryActionButton property',
        name: 'primaryActionButton',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'secondary',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'secondary',
            label: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
            label: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
            label: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
            label: 'transparent',
          },
        ],
      },
      {
        defaultValue: 'before',
        description: 'iconPosition property',
        name: 'iconPosition',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'before',
          },
          {
            name: 'literal',
            value: 'after',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'before',
            label: 'before',
          },
          {
            name: 'literal',
            value: 'after',
            label: 'after',
          },
        ],
      },
      {
        defaultValue: 'rounded',
        description: 'shape property',
        name: 'shape',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'rounded',
            label: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
            label: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
            label: 'square',
          },
        ],
      },
      {
        defaultValue: 'medium',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'small',
            label: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
            label: 'large',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'menuIcon property',
        name: 'menuIcon',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
    ],
  },
  {
    constructorName: 'ToggleButton',
    componentClassName: 'ToggleButton',
    displayName: 'ToggleButton',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'ToggleButtons are buttons that toggle between two defined states when triggered.',
      tags: [
        {
          description: 'ToggleButtons are buttons that toggle between two defined states when triggered.',
          title: 'ToggleButtons are buttons that toggle between two defined states when triggered.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'a',
          },
          {
            name: 'literal',
            value: 'button',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'a',
            label: 'a',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
        ],
      },
      {
        defaultValue: 'secondary',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'secondary',
            label: 'secondary',
          },
          {
            name: 'literal',
            value: 'primary',
            label: 'primary',
          },
          {
            name: 'literal',
            value: 'outline',
            label: 'outline',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
          {
            name: 'literal',
            value: 'transparent',
            label: 'transparent',
          },
        ],
      },
      {
        defaultValue: 'before',
        description: 'iconPosition property',
        name: 'iconPosition',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'before',
          },
          {
            name: 'literal',
            value: 'after',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'before',
            label: 'before',
          },
          {
            name: 'literal',
            value: 'after',
            label: 'after',
          },
        ],
      },
      {
        defaultValue: 'rounded',
        description: 'shape property',
        name: 'shape',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'rounded',
            label: 'rounded',
          },
          {
            name: 'literal',
            value: 'circular',
            label: 'circular',
          },
          {
            name: 'literal',
            value: 'square',
            label: 'square',
          },
        ],
      },
      {
        defaultValue: 'medium',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'small',
            label: 'small',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'large',
            label: 'large',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'checked property',
        name: 'checked',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'Menu',
    componentClassName: 'Menu',
    displayName: 'Menu',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Wrapper component that manages state for a popup MenuList and a MenuTrigger',
      tags: [
        {
          description: 'Wrapper component that manages state for a popup MenuList and a MenuTrigger',
          title: 'Wrapper component that manages state for a popup MenuList and a MenuTrigger',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'checkedValues property',
        name: 'checkedValues',
        required: false,
        tags: [],
      },
      {
        defaultValue: '',
        description: 'defaultCheckedValues property',
        name: 'defaultCheckedValues',
        required: false,
        tags: [],
      },
      {
        defaultValue: '',
        description: 'hasCheckmarks property',
        name: 'hasCheckmarks',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'hasIcons property',
        name: 'hasIcons',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'onCheckedValueChange property',
        name: 'onCheckedValueChange',
        required: false,
        tags: [],
      },
      {
        defaultValue: '',
        description: 'children property',
        name: 'children',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '(Element',
          },
          {
            name: 'literal',
            value: '[Element, Element]) & ReactNode',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '(Element',
            label: '(Element',
          },
          {
            name: 'literal',
            value: '[Element, Element]) & ReactNode',
            label: '[Element, Element]) & ReactNode',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'defaultOpen property',
        name: 'defaultOpen',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'hoverDelay property',
        name: 'hoverDelay',
        required: false,
        tags: [],
        types: [
          {
            name: 'number',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'inline property',
        name: 'inline',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'onOpenChange property',
        name: 'onOpenChange',
        required: false,
        tags: [],
      },
      {
        defaultValue: 'false',
        description: 'open property',
        name: 'open',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'openOnContext property',
        name: 'openOnContext',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'openOnHover property',
        name: 'openOnHover',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'persistOnItemClick property',
        name: 'persistOnItemClick',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'positioning property',
        name: 'positioning',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'closeOnScroll property',
        name: 'closeOnScroll',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuItem',
    componentClassName: 'MenuItem',
    displayName: 'MenuItem',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Define a styled MenuItem, using the `useMenuItem_unstable` and `useMenuItemStyles_unstable` hook.',
      tags: [
        {
          description:
            'Define a styled MenuItem, using the `useMenuItem_unstable` and `useMenuItemStyles_unstable` hook.',
          title: 'Define a styled MenuItem, using the `useMenuItem_unstable` and `useMenuItemStyles_unstable` hook.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'checkmark property',
        name: 'checkmark',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'submenuIndicator property',
        name: 'submenuIndicator',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'content property',
        name: 'content',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: '',
        description: 'secondaryContent property',
        name: 'secondaryContent',
        required: false,
        tags: [],
        types: [
          {
            name: 'string',
            keyword: true,
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'button',
          },
          {
            name: 'literal',
            value: 'div',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
          {
            name: 'literal',
            value: 'div',
            label: 'div',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'hasSubmenu property',
        name: 'hasSubmenu',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'persistOnClick property',
        name: 'persistOnClick',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuList',
    componentClassName: 'MenuList',
    displayName: 'MenuList',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Define a styled MenuList, using the `useMenuList_unstable` hook.',
      tags: [
        {
          description: 'Define a styled MenuList, using the `useMenuList_unstable` hook.',
          title: 'Define a styled MenuList, using the `useMenuList_unstable` hook.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'div',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'div',
            label: 'div',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'checkedValues property',
        name: 'checkedValues',
        required: false,
        tags: [],
      },
      {
        defaultValue: '',
        description: 'defaultCheckedValues property',
        name: 'defaultCheckedValues',
        required: false,
        tags: [],
      },
      {
        defaultValue: '',
        description: 'hasCheckmarks property',
        name: 'hasCheckmarks',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'hasIcons property',
        name: 'hasIcons',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '',
        description: 'onCheckedValueChange property',
        name: 'onCheckedValueChange',
        required: false,
        tags: [],
      },
    ],
  },
  {
    constructorName: 'MenuGroup',
    componentClassName: 'MenuGroup',
    displayName: 'MenuGroup',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Define a styled MenuGroup, using the `useMenuGroup_unstable` hook.',
      tags: [
        {
          description: 'Define a styled MenuGroup, using the `useMenuGroup_unstable` hook.',
          title: 'Define a styled MenuGroup, using the `useMenuGroup_unstable` hook.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'div',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'div',
            label: 'div',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuDivider',
    componentClassName: 'MenuDivider',
    displayName: 'MenuDivider',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Define a styled MenuDivider, using the `useMenuDivider_unstable` hook.',
      tags: [
        {
          description: 'Define a styled MenuDivider, using the `useMenuDivider_unstable` hook.',
          title: 'Define a styled MenuDivider, using the `useMenuDivider_unstable` hook.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'div',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'div',
            label: 'div',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuPopover',
    componentClassName: 'MenuPopover',
    displayName: 'MenuPopover',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Popover intended to wrap `MenuList` and adds styling and interaction support specific to menus',
      tags: [
        {
          description: 'Popover intended to wrap `MenuList` and adds styling and interaction support specific to menus',
          title: 'Popover intended to wrap `MenuList` and adds styling and interaction support specific to menus',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'div',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'div',
            label: 'div',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'MenuTrigger',
    componentClassName: 'MenuTrigger',
    displayName: 'MenuTrigger',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description:
        'Wraps a trigger element as an only child\nand adds the necessary event handling to open a popup menu',
      tags: [
        {
          description:
            'Wraps a trigger element as an only child\nand adds the necessary event handling to open a popup menu',
          title: 'Wraps a trigger element as an only child\nand adds the necessary event handling to open a popup menu',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'children property',
        name: 'children',
        required: false,
        tags: [],
      },
    ],
  },
  {
    constructorName: 'Link',
    componentClassName: 'Link',
    displayName: 'Link',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'A Link is a reference to data that a user can follow by clicking or tapping it.',
      tags: [
        {
          description: 'A Link is a reference to data that a user can follow by clicking or tapping it.',
          title: 'A Link is a reference to data that a user can follow by clicking or tapping it.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'a',
          },
          {
            name: 'literal',
            value: 'button',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'a',
            label: 'a',
          },
          {
            name: 'literal',
            value: 'button',
            label: 'button',
          },
        ],
      },
      {
        defaultValue: 'default',
        description: 'appearance property',
        name: 'appearance',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'default',
          },
          {
            name: 'literal',
            value: 'subtle',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'default',
            label: 'default',
          },
          {
            name: 'literal',
            value: 'subtle',
            label: 'subtle',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabled property',
        name: 'disabled',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'disabledFocusable property',
        name: 'disabledFocusable',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'inline property',
        name: 'inline',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
    ],
  },
  {
    constructorName: 'Text',
    componentClassName: 'Text',
    displayName: 'Text',
    implementsCreateShorthand: false,
    filename: 'N/A',
    filenameWithoutExt: 'N/A',
    docblock: {
      description: 'Typography and styling abstraction component used to ensure consistency of text.',
      tags: [
        {
          description: 'Typography and styling abstraction component used to ensure consistency of text.',
          title: 'Typography and styling abstraction component used to ensure consistency of text.',
        },
      ],
    },
    apiPath: 'N/A',
    isChild: false,
    isParent: true,
    parentDisplayName: 'N/A',
    repoPath: 'N/A',
    subcomponentName: 'N/A',
    subcomponents: [],
    type: 'component',
    props: [
      {
        defaultValue: '',
        description: 'as property',
        name: 'as',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '',
          },
          {
            name: 'literal',
            value: 'h1',
          },
          {
            name: 'literal',
            value: 'h2',
          },
          {
            name: 'literal',
            value: 'h3',
          },
          {
            name: 'literal',
            value: 'h4',
          },
          {
            name: 'literal',
            value: 'h5',
          },
          {
            name: 'literal',
            value: 'h6',
          },
          {
            name: 'literal',
            value: 'p',
          },
          {
            name: 'literal',
            value: 'pre',
          },
          {
            name: 'literal',
            value: 'span',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '',
            label: '',
          },
          {
            name: 'literal',
            value: 'h1',
            label: 'h1',
          },
          {
            name: 'literal',
            value: 'h2',
            label: 'h2',
          },
          {
            name: 'literal',
            value: 'h3',
            label: 'h3',
          },
          {
            name: 'literal',
            value: 'h4',
            label: 'h4',
          },
          {
            name: 'literal',
            value: 'h5',
            label: 'h5',
          },
          {
            name: 'literal',
            value: 'h6',
            label: 'h6',
          },
          {
            name: 'literal',
            value: 'p',
            label: 'p',
          },
          {
            name: 'literal',
            value: 'pre',
            label: 'pre',
          },
          {
            name: 'literal',
            value: 'span',
            label: 'span',
          },
        ],
      },
      {
        defaultValue: 'start',
        description: 'align property',
        name: 'align',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'start',
          },
          {
            name: 'literal',
            value: 'center',
          },
          {
            name: 'literal',
            value: 'end',
          },
          {
            name: 'literal',
            value: 'justify',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'start',
            label: 'start',
          },
          {
            name: 'literal',
            value: 'center',
            label: 'center',
          },
          {
            name: 'literal',
            value: 'end',
            label: 'end',
          },
          {
            name: 'literal',
            value: 'justify',
            label: 'justify',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'block property',
        name: 'block',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'base',
        description: 'font property',
        name: 'font',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'base',
          },
          {
            name: 'literal',
            value: 'numeric',
          },
          {
            name: 'literal',
            value: 'monospace',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'base',
            label: 'base',
          },
          {
            name: 'literal',
            value: 'numeric',
            label: 'numeric',
          },
          {
            name: 'literal',
            value: 'monospace',
            label: 'monospace',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'italic property',
        name: 'italic',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: '300',
        description: 'size property',
        name: 'size',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: '100',
          },
          {
            name: 'literal',
            value: '200',
          },
          {
            name: 'literal',
            value: '300',
          },
          {
            name: 'literal',
            value: '400',
          },
          {
            name: 'literal',
            value: '500',
          },
          {
            name: 'literal',
            value: '600',
          },
          {
            name: 'literal',
            value: '700',
          },
          {
            name: 'literal',
            value: '800',
          },
          {
            name: 'literal',
            value: '900',
          },
          {
            name: 'literal',
            value: '1000',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: '100',
            label: '100',
          },
          {
            name: 'literal',
            value: '200',
            label: '200',
          },
          {
            name: 'literal',
            value: '300',
            label: '300',
          },
          {
            name: 'literal',
            value: '400',
            label: '400',
          },
          {
            name: 'literal',
            value: '500',
            label: '500',
          },
          {
            name: 'literal',
            value: '600',
            label: '600',
          },
          {
            name: 'literal',
            value: '700',
            label: '700',
          },
          {
            name: 'literal',
            value: '800',
            label: '800',
          },
          {
            name: 'literal',
            value: '900',
            label: '900',
          },
          {
            name: 'literal',
            value: '1000',
            label: '1000',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'strikethrough property',
        name: 'strikethrough',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'truncate property',
        name: 'truncate',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'false',
        description: 'underline property',
        name: 'underline',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
      {
        defaultValue: 'regular',
        description: 'weight property',
        name: 'weight',
        required: false,
        tags: [],
        types: [
          {
            name: 'literal',
            value: 'regular',
          },
          {
            name: 'literal',
            value: 'medium',
          },
          {
            name: 'literal',
            value: 'semibold',
          },
          {
            name: 'literal',
            value: 'bold',
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: 'regular',
            label: 'regular',
          },
          {
            name: 'literal',
            value: 'medium',
            label: 'medium',
          },
          {
            name: 'literal',
            value: 'semibold',
            label: 'semibold',
          },
          {
            name: 'literal',
            value: 'bold',
            label: 'bold',
          },
        ],
      },
      {
        defaultValue: 'true',
        description: 'wrap property',
        name: 'wrap',
        required: false,
        tags: [],
        types: [
          {
            name: 'boolean',
            keyword: true,
          },
        ],
        resolvedType: [
          {
            name: 'literal',
            value: true,
            label: 'true',
          },
          {
            name: 'literal',
            value: false,
            label: 'false',
          },
        ],
      },
    ],
  },
];
